Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 126994 - OPTIONS not used from /etc/DIR_COLORS file
Summary: OPTIONS not used from /etc/DIR_COLORS file
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: 5
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2004-06-30 08:30 UTC by Anand Buddhdev
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-18 16:48:00 UTC


Attachments (Terms of Use)

Description Anand Buddhdev 2004-06-30 08:30:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
The file /etc/DIR_COLORS has a variable called OPTIONS which should
allow a user to set certain options to be passed to ls. However, the
script /etc/profile.d/colorls.sh, which reads the file
/etc/DIR_COLORS, does not make any use of the OPTIONS variable. Hence
any setting I place on the OPTIONS line is ignored.

Version-Release number of selected component (if applicable):
coreutils-5.0-34.1

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/DIR_COLORS (or copy /etc/DIR_COLORS to ~/.dir_colors and
edit) and put in some options for ls on the OPTIONS line.
2. Start a new copy of your terminal program, such as xterm, or
gnome-terminal
3. Run "ls" and you'll see that your custom options are being ignored.
    

Actual Results:  My custom ls options were ignored.

Expected Results:  I had placed -F in the options line, to make ls
draw slashes after directory names, so I had expected ls to show
slashes after the directory names.

Additional info:

Comment 1 John Thacker 2006-04-22 04:43:52 UTC
Still occurs in FC5 with coreutils-5.93-7.2.  Sort of odd that OPTIONS is
ignored like that.

Comment 2 Tim Waugh 2007-04-18 16:48:00 UTC
OPTIONS is intentionally ignored.  From dircolors.c:

              else if (c_strcasecmp (keywd, "OPTIONS") == 0
                       || c_strcasecmp (keywd, "COLOR") == 0
                       || c_strcasecmp (keywd, "EIGHTBIT") == 0)
                {
                  /* Ignore.  */
                }



Note You need to log in before you can comment on or make changes to this bug.